#ifndef WEBSERVERMANAGER_H
#define WEBSERVERMANAGER_H

#include "SDCardManager.h"
#include "WEBClient.h" //includes WEBServer internally

class WEBServerManager
{
    friend class SAB;
    public:
        ~WEBServerManager();
        boolean init(void);
        boolean isEnabled(void) const;
        WEBServer<WEBClient> &getWEBServer(void);

    protected:
        WEBServerManager(SDCardManager &sdCardManager);

    private:
        SDCardManager *_sdCardManager = nullptr;
        boolean _isServiceEnabled = false;
        WEBServer<WEBClient> _webServer;
        
};

#endif //WEBSERVERMANAGER_H